%define		tarball		xf86-input-citron
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/input

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 citron input driver
Name:		xorg-x11-drv-citron
Version:	2.2.2
Release:	2
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Patch0:		xf86-input-citron-xorg_ABIV7.patch

ExclusiveArch:	%{ix86} x86_64 ia64

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 citron input driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/citron_drv.so
#%dir %{_mandir}/man4x
%{_mandir}/man4/citron.4*

%changelog
* Fri Oct 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-2
- patched to compile with Xorg ABI 7
- xserver 1.9.0
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.2.2-1
- Version update - x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.2.1-2
- Rebuild against new xserver 1.5.0
* Tue Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-2
- rebuilt against X.org 7.3
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Initial release
